Runtime

## org.eclipse.gmf.runtime.diagram.ui.parts
Interface IDiagramEditDomain

All Known Implementing Classes:
  DiagramEditDomain

public interface IDiagramEditDomain

Diagram Edit Domain Interface

Method Summary
`ActionManager` `getActionManager()` Returns the ActionManager
`DiagramCommandStack` `getDiagramCommandStack()` Returns the DiagramCommandStack to be used with ICommands.

Method Detail

### getDiagramCommandStack

    public DiagramCommandStack getDiagramCommandStack()

  Returns the DiagramCommandStack to be used with ICommands.

  Returns:
    The command stack for this edit domain.

### getActionManager

    public ActionManager getActionManager()

  Returns the ActionManager

  Returns:
    the Action Manager

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.